## ros-indigo-tork-rpc 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tork_rpc)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-tork-rpc (0.0.4-0trusty) trusty; urgency=high

  * Add some .msg files.
  * Doc update, cleanup.
  * Contributors: Isaac I.Y. Saito

 -- Keio University Yamaguchi Lab <dev@opensource-robotics.tokyo.jp>  Mon, 20 Mar 2017 07:00:00 -0000

ros-indigo-tork-rpc (0.0.3-0trusty) trusty; urgency=high



 -- Keio University Yamaguchi Lab <dev@opensource-robotics.tokyo.jp>  Sat, 04 Mar 2017 08:00:00 -0000

ros-indigo-tork-rpc (0.0.2-0trusty) trusty; urgency=high

  * Package renamed.

 -- Keio University Yamaguchi Lab <dev@opensource-robotics.tokyo.jp>  Sat, 04 Mar 2017 08:00:00 -0000

ros-indigo-tork-rpc (0.0.1-0trusty) trusty; urgency=high



 -- Keio University Yamaguchi Lab <dev@opensource-robotics.tokyo.jp>  Thu, 19 Jan 2017 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-tork-rpc
Section: misc
Priority: extra
Maintainer: Keio University Yamaguchi Lab <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/tork_rpc
Standards-Version: 3.9.2

Package: ros-indigo-tork-rpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-tork-rpc-util
Description: This package suite provides abstract RPC (Remote Procedure Call) structure for higher level of robot operations for the ROS-based robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-tork-rpc//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
